
  import * as fakIcons from './kit/custom.mjs';

  

  import * as fassIcons from './sharp/solid.mjs';


var byPrefixAndName = {'fak': {},'fass': {},};
var all = [];

function addIcons (icons) {
  Object.keys(icons).forEach(function (iconName) {
    if (iconName === 'prefix') {
      return;
    }

    var icon = icons[iconName];
    var aliases = icon.icon[2];
    aliases.forEach(function (alias) {
      if (typeof alias === 'string') {
        byPrefixAndName[icon.prefix][alias] = icon;
      }
    })
    byPrefixAndName[icon.prefix][icon.iconName] = icon;
    all.push(icon);
  });
}


  
  addIcons(fakIcons);
  var fak = fakIcons;
  

  

  
  addIcons(fassIcons);
  var fass = fassIcons;
  


export {
  byPrefixAndName, all
  , fak, fass
}
